<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for C:\xampp\htdocs\blog\app/Repositories/Eloquent</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="../../.css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href="../../.css/nv.d3.min.css" rel="stylesheet" type="text/css">
  <link href="../../.css/style.css" rel="stylesheet" type="text/css">
  <link href="../../.css/custom.css" rel="stylesheet" type="text/css">
  <!--[if lt IE 9]>
  <script src="../../.js/html5shiv.min.js"></script>
  <script src="../../.js/respond.min.js"></script>
  <![endif]-->
 </head>
 <body>
  <header>
   <div class="container">
    <div class="row">
     <div class="col-md-12">
      <ol class="breadcrumb">
        <li><a href="../../index.html">C:\xampp\htdocs\blog\app</a></li>
        <li><a href="../index.html">Repositories</a></li>
        <li><a href="index.html">Eloquent</a></li>
        <li class="active">(Dashboard)</li>

      </ol>
     </div>
    </div>
   </div>
  </header>
  <div class="container">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="AppointmentRepository.php.html#11">App\Repositories\Eloquent\AppointmentRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="AvailableAppointmentRepository.php.html#10">App\Repositories\Eloquent\AvailableAppointmentRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="BaseRepository.php.html#9">App\Repositories\Eloquent\BaseRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="DoctorRepository.php.html#7">App\Repositories\Eloquent\DoctorRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="PatientRepository.php.html#7">App\Repositories\Eloquent\PatientRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ShiftRepository.php.html#7">App\Repositories\Eloquent\ShiftRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="StatusRepository.php.html#7">App\Repositories\Eloquent\StatusRepository</a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="AvailableAppointmentRepository.php.html#10">App\Repositories\Eloquent\AvailableAppointmentRepository</a></td><td class="text-right">420</td></tr>
       <tr><td><a href="BaseRepository.php.html#9">App\Repositories\Eloquent\BaseRepository</a></td><td class="text-right">30</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="AppointmentRepository.php.html#13"><abbr title="App\Repositories\Eloquent\AppointmentRepository::model">model</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="BaseRepository.php.html#23"><abbr title="App\Repositories\Eloquent\BaseRepository::makeModel">makeModel</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ShiftRepository.php.html#24"><abbr title="App\Repositories\Eloquent\ShiftRepository::getListShiftsID">getListShiftsID</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ShiftRepository.php.html#19"><abbr title="App\Repositories\Eloquent\ShiftRepository::getShift">getShift</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ShiftRepository.php.html#14"><abbr title="App\Repositories\Eloquent\ShiftRepository::getListShifts">getListShifts</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ShiftRepository.php.html#9"><abbr title="App\Repositories\Eloquent\ShiftRepository::model">model</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="PatientRepository.php.html#9"><abbr title="App\Repositories\Eloquent\PatientRepository::model">model</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="DoctorRepository.php.html#24"><abbr title="App\Repositories\Eloquent\DoctorRepository::getListDoctorsID">getListDoctorsID</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="DoctorRepository.php.html#19"><abbr title="App\Repositories\Eloquent\DoctorRepository::getDoctor">getDoctor</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="DoctorRepository.php.html#14"><abbr title="App\Repositories\Eloquent\DoctorRepository::getListDoctorsAvailable">getListDoctorsAvailable</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="DoctorRepository.php.html#9"><abbr title="App\Repositories\Eloquent\DoctorRepository::model">model</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="BaseRepository.php.html#30"><abbr title="App\Repositories\Eloquent\BaseRepository::delete">delete</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="BaseRepository.php.html#15"><abbr title="App\Repositories\Eloquent\BaseRepository::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="AppointmentRepository.php.html#18"><abbr title="App\Repositories\Eloquent\AppointmentRepository::createAppointment">createAppointment</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="AvailableAppointmentRepository.php.html#55"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::updateAvailableAppointment">updateAvailableAppointment</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="AvailableAppointmentRepository.php.html#47"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::makeUnavailableAppointment">makeUnavailableAppointment</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="AvailableAppointmentRepository.php.html#42"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::getListAvailableShifts">getListAvailableShifts</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="AvailableAppointmentRepository.php.html#37"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::getListAvailableDates">getListAvailableDates</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="AvailableAppointmentRepository.php.html#32"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::getListAvailableDoctors">getListAvailableDoctors</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="AvailableAppointmentRepository.php.html#27"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::getAppointmentByShift">getAppointmentByShift</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="AvailableAppointmentRepository.php.html#22"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::getAppointmentByDate">getAppointmentByDate</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="AvailableAppointmentRepository.php.html#17"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::getAppointmentByDoctorID">getAppointmentByDoctorID</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="AvailableAppointmentRepository.php.html#12"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::model">model</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="AppointmentRepository.php.html#29"><abbr title="App\Repositories\Eloquent\AppointmentRepository::getAppointmentsBooked">getAppointmentsBooked</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="StatusRepository.php.html#9"><abbr title="App\Repositories\Eloquent\StatusRepository::model">model</abbr></a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="AvailableAppointmentRepository.php.html#55"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::updateAvailableAppointment">updateAvailableAppointment</abbr></a></td><td class="text-right">156</td></tr>
       <tr><td><a href="BaseRepository.php.html#23"><abbr title="App\Repositories\Eloquent\BaseRepository::makeModel">makeModel</abbr></a></td><td class="text-right">6</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 6.0.7</a> using <a href="https://secure.php.net/" target="_top">PHP 7.2.11</a> with <a href="https://xdebug.org/">Xdebug 2.6.1</a> and <a href="https://phpunit.de/">PHPUnit 7.3.2</a> at Thu Nov 22 6:37:42 UTC 2018.</small>
    </p>
   </footer>
  </div>
  <script src="../../.js/jquery.min.js" type="text/javascript"></script>
  <script src="../../.js/bootstrap.min.js" type="text/javascript"></script>
  <script src="../../.js/holder.min.js" type="text/javascript"></script>
  <script src="../../.js/d3.min.js" type="text/javascript"></script>
  <script src="../../.js/nv.d3.min.js" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([7,0,0,0,0,0,0,0,0,0,0,0], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([25,0,0,0,0,0,0,0,0,0,0,1], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[0,3,"<a href=\"AppointmentRepository.php.html#11\">App\\Repositories\\Eloquent\\AppointmentRepository<\/a>"],[0,20,"<a href=\"AvailableAppointmentRepository.php.html#10\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository<\/a>"],[0,5,"<a href=\"BaseRepository.php.html#9\">App\\Repositories\\Eloquent\\BaseRepository<\/a>"],[0,4,"<a href=\"DoctorRepository.php.html#7\">App\\Repositories\\Eloquent\\DoctorRepository<\/a>"],[0,1,"<a href=\"PatientRepository.php.html#7\">App\\Repositories\\Eloquent\\PatientRepository<\/a>"],[0,4,"<a href=\"ShiftRepository.php.html#7\">App\\Repositories\\Eloquent\\ShiftRepository<\/a>"],[0,1,"<a href=\"StatusRepository.php.html#7\">App\\Repositories\\Eloquent\\StatusRepository<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[0,1,"<a href=\"AppointmentRepository.php.html#13\">App\\Repositories\\Eloquent\\AppointmentRepository::model<\/a>"],[0,1,"<a href=\"AppointmentRepository.php.html#18\">App\\Repositories\\Eloquent\\AppointmentRepository::createAppointment<\/a>"],[0,1,"<a href=\"AppointmentRepository.php.html#29\">App\\Repositories\\Eloquent\\AppointmentRepository::getAppointmentsBooked<\/a>"],[0,1,"<a href=\"AvailableAppointmentRepository.php.html#12\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository::model<\/a>"],[0,1,"<a href=\"AvailableAppointmentRepository.php.html#17\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository::getAppointmentByDoctorID<\/a>"],[0,1,"<a href=\"AvailableAppointmentRepository.php.html#22\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository::getAppointmentByDate<\/a>"],[0,1,"<a href=\"AvailableAppointmentRepository.php.html#27\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository::getAppointmentByShift<\/a>"],[0,1,"<a href=\"AvailableAppointmentRepository.php.html#32\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository::getListAvailableDoctors<\/a>"],[0,1,"<a href=\"AvailableAppointmentRepository.php.html#37\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository::getListAvailableDates<\/a>"],[0,1,"<a href=\"AvailableAppointmentRepository.php.html#42\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository::getListAvailableShifts<\/a>"],[0,1,"<a href=\"AvailableAppointmentRepository.php.html#47\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository::makeUnavailableAppointment<\/a>"],[0,12,"<a href=\"AvailableAppointmentRepository.php.html#55\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository::updateAvailableAppointment<\/a>"],[0,1,"<a href=\"BaseRepository.php.html#15\">App\\Repositories\\Eloquent\\BaseRepository::__construct<\/a>"],[100,1,"<a href=\"BaseRepository.php.html#21\">App\\Repositories\\Eloquent\\BaseRepository::model<\/a>"],[0,2,"<a href=\"BaseRepository.php.html#23\">App\\Repositories\\Eloquent\\BaseRepository::makeModel<\/a>"],[0,1,"<a href=\"BaseRepository.php.html#30\">App\\Repositories\\Eloquent\\BaseRepository::delete<\/a>"],[0,1,"<a href=\"DoctorRepository.php.html#9\">App\\Repositories\\Eloquent\\DoctorRepository::model<\/a>"],[0,1,"<a href=\"DoctorRepository.php.html#14\">App\\Repositories\\Eloquent\\DoctorRepository::getListDoctorsAvailable<\/a>"],[0,1,"<a href=\"DoctorRepository.php.html#19\">App\\Repositories\\Eloquent\\DoctorRepository::getDoctor<\/a>"],[0,1,"<a href=\"DoctorRepository.php.html#24\">App\\Repositories\\Eloquent\\DoctorRepository::getListDoctorsID<\/a>"],[0,1,"<a href=\"PatientRepository.php.html#9\">App\\Repositories\\Eloquent\\PatientRepository::model<\/a>"],[0,1,"<a href=\"ShiftRepository.php.html#9\">App\\Repositories\\Eloquent\\ShiftRepository::model<\/a>"],[0,1,"<a href=\"ShiftRepository.php.html#14\">App\\Repositories\\Eloquent\\ShiftRepository::getListShifts<\/a>"],[0,1,"<a href=\"ShiftRepository.php.html#19\">App\\Repositories\\Eloquent\\ShiftRepository::getShift<\/a>"],[0,1,"<a href=\"ShiftRepository.php.html#24\">App\\Repositories\\Eloquent\\ShiftRepository::getListShiftsID<\/a>"],[0,1,"<a href=\"StatusRepository.php.html#9\">App\\Repositories\\Eloquent\\StatusRepository::model<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
